> For the complete documentation index, see [llms.txt](https://docs.nexus.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexus.xyz/api-reference/markets.md).

# Markets

- [GET /markets/{market\_id}/adl-events](https://docs.nexus.xyz/api-reference/markets/fetch-adl-events.md): Get ADL settlement history for a market (v0.21)
- [GET /metadata](https://docs.nexus.xyz/api-reference/markets/fetch-api-version-metadata.md): API version and network metadata
- [GET /markets/{market\_id}/mark-price](https://docs.nexus.xyz/api-reference/markets/fetch-mark-price.md): Get mark price
- [GET /api/v1/markets/{market\_id}/mark-price](https://docs.nexus.xyz/api-reference/markets/fetch-mark-price-v1.md): Get mark price
- [GET /markets/{market\_id}/risk-params](https://docs.nexus.xyz/api-reference/markets/fetch-market-risk-params.md): Get market risk parameters
- [GET /markets/{market\_id}/status](https://docs.nexus.xyz/api-reference/markets/fetch-market-status.md): Get market status and halt info (v0.21)
- [GET /api/v1/markets/{market\_id}/status](https://docs.nexus.xyz/api-reference/markets/fetch-market-status-v1.md): Get market status and halt info (v0.21)
- [GET /markets](https://docs.nexus.xyz/api-reference/markets/fetch-markets.md): List all markets
- [GET /markets/summary](https://docs.nexus.xyz/api-reference/markets/fetch-markets-summary.md): Market summaries with volume
- [GET /api/v1/markets/summary](https://docs.nexus.xyz/api-reference/markets/fetch-markets-summary-v1.md): Market summaries with volume
- [GET /stats](https://docs.nexus.xyz/api-reference/markets/fetch-stats.md): Venue statistics
- [GET /stats/history](https://docs.nexus.xyz/api-reference/markets/fetch-stats-history.md): Venue throughput history
- [GET /api/v1/stats/history](https://docs.nexus.xyz/api-reference/markets/fetch-stats-history-v1.md): Venue throughput history
- [GET /api/v1/stats](https://docs.nexus.xyz/api-reference/markets/fetch-stats-v1.md): Venue statistics
- [GET /status](https://docs.nexus.xyz/api-reference/markets/fetch-status.md): Aggregate service health


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexus.xyz/api-reference/markets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
